Package io.dapr.client.domain

# Class StateOptions.StateOptionDurationSerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<T>
com.fasterxml.jackson.databind.ser.std.StdSerializer<Duration>
io.dapr.client.domain.StateOptions.StateOptionDurationSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `Serializable`

Enclosing class:
  StateOptions

public static class StateOptions.StateOptionDurationSerializer extends com.fasterxml.jackson.databind.ser.std.StdSerializer<Duration>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `com.fasterxml.jackson.databind.JsonSerializer.None`

- ## Field Summary

  ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

  `_handledType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StateOptionDurationSerializer()`
  `StateOptionDurationSerializer(Class<Duration> t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serialize(Duration duration, com.fasterxml.jackson.core.JsonGenerator jsonGenerator, com.fasterxml.jackson.databind.SerializerProvider serializerProvider)`

  ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

  `_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StateOptionDurationSerializer

    public StateOptionDurationSerializer()

  - ### StateOptionDurationSerializer

    public StateOptionDurationSerializer(Class<Duration> t)

- ## Method Details

  - ### serialize

    public void serialize(Duration duration, com.fasterxml.jackson.core.JsonGenerator jsonGenerator, com.fasterxml.jackson.databind.SerializerProvider serializerProvider) throws IOException
    Specified by:
      `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<Duration>`
    Throws:
      `IOException`